/**
* @file     ExternalProtocolOut_Crc.c
* @brief    crc checkout about student's datas.
* @author   damom.li
* @date     2015-11-16
* @version  1.0.0.0
* @license  Copyright(c) 2015 DJI Corporation Robomasters Department.
*/
#ifndef  __EXTERNALPROTOCOLOUT_CRC_H__
#define  __EXTERNALPROTOCOLOUT_CRC_H__

#include "stdint.h"
#include "stdio.h"

uint8_t     Ext_Get_CRC8_Check_Sum(uint8_t *pchMessage,uint32_t dwLength,uint8_t ucCRC8) ;
uint32_t    Ext_Verify_CRC8_Check_Sum(uint8_t *pchMessage, uint32_t dwLength);
void        Ext_Append_CRC8_Check_Sum(uint8_t *pchMessage, uint32_t dwLength);
uint16_t    Ext_Get_CRC16_Check_Sum(uint8_t *pchMessage,uint16_t dwLength,uint16_t wCRC);
uint32_t    Ext_Verify_CRC16_Check_Sum(uint8_t *pchMessage, uint16_t dwLength);
void        Ext_Append_CRC16_Check_Sum(uint8_t* pchMessage,uint32_t dwLength) ;

#endif
