/**
*  @file ext_procotol_module.h
*  @version 0.9
*  @date 2017-11-13
*  @author sky.huang
*
*  @brief
*   ļԼģ
*   2
*   3ݸʽ
*
*  @attention
*   EXT_CMD##_IDXΨһţ0ʼ
*            ˳޹ؽҪ֤ΨһԾ
*
*  @copyright 2017 RoboMaster. All right reserved.
*
*/

#ifndef  _EXT_PROTOCOL_MODULE_H__
#define  _EXT_PROTOCOL_MODULE_H__

#include "stdint.h"
#include "stm32f4xx.h"
//#include "printf-stdarg.h"
#include "ext_protocol.h"





/*******************************************   Эid   ***********************************************/
/* 裺
    ҪCMD
    1 extCmdIndex_t öмCMD_IDX
    2ڴļdefine EXT_CMD,  EXT_CMD_LEN(ܴͬݽṹļ), Ӧݽṹ
 */




 /* ΨһţСΪ */
 /* NOTE: Ϊʡռ䣬ֻ跢͡յע͵ */
typedef enum
{
    // EXT_CMD_GAME_PROGRESS_IDX,
    // EXT_CMD_HP_CHANGE_IDX,
    // EXT_CMD_HP_CHANGE_IDX,
    // EXT_CMD_SHOOT_DATA_IDX,
    EXT_CMD_SHOW_DATA_IDX,
    EXT_CMD_TO_SERVER_IDX,

    /* ͳ */
    EXT_CMD_RECEIVE_MAX_NUM,
}extCmdIndex_t;



#pragma pack(push,1)

/* ״̬100msڷ */
#define EXT_CMD_GAME_PROGRESS              0x0001u
#define EXT_CMD_GAME_PROGRESS_LEN          (EXT_HEADER_CRC_CMDID_LEN + sizeof(gameRobotState_t))
// typedef enum
// {
//     GAME_PROGRESS_FREE          = 1,    /* δʼ */
//     GAME_PROGRESS_PREPARE       = 2,    /* ׼ʱ */
//     GAME_PROGRESS_SELFCHECK     = 3,    /* Լʱ */
//     GAME_PROGRESS_FREEZE        = 4,    /* 5sʱ */
//     GAME_PROGRESS_BATTLE        = 5,    /* ս */
//     GAME_PROGRESS_SETTLEMENT    = 6,    /*  */
// }gameProgress_t;
typedef struct
{
    uint8_t validFlag;
    float x;
    float y;
    float z;
    float yaw;
}positon_t;
typedef struct
{
    uint16_t  stageRemianTime;  /* ǰ׶ʣʱ䣬λs */
    uint8_t   gameProgress;     /* gameProgress_t */
    uint8_t   robotLevel;       /* ˵ȼûƿɺ */
    uint16_t  remainHP;         /* ʣѪ */
    uint16_t  maxHP;            /* Ѫ */
    positon_t position;         /* ǰͽǶ */
}extGameRobotState_t;



/* ʵʱѪ仯 Է */
#define EXT_CMD_HURTED                  0x0002u
#define EXT_CMD_HURTED_LEN              (EXT_HEADER_CRC_CMDID_LEN + sizeof(extRobotHurt_t))
typedef enum
{
    FRONT_ARMOR = 0,
    LEFT_ARMOR  = 1,
    BACK_ARMOR  = 2,
    RIGHT_ARMOR = 3,
    TOP1_ARMOR  = 4,
    TOP2_ARMOR  = 5,
}armorType_t;
typedef enum
{
    HURT_ARMOR          = 0,
    HURT_OVERSPEED      = 1,
    HURT_OVERHEAT       = 2,
    HURT_OVERFRQ        = 3,
    HURT_OVERPOWER      = 4,
    HURT_MODULEOFFLINE  = 5,
    HURT_SERVERDEC      = 6,    /* Ѫ */
}hurtType_t;
typedef struct
{
    uint8_t  armorType  : 4;    /* armorType_t  װ */
    uint8_t  hurtType   : 4;    /* hurtType_t  ˺ */
}extRobotHurt_t;



/* ʵʱ Է */
#define EXT_CMD_SHOOT_DATA                  0x0003u
#define EXT_CMD_SHOOT_DATA_LEN              (EXT_HEADER_CRC_CMDID_LEN + sizeof(extShootData_t))
typedef struct
{
    uint8_t bulletType; /* bulletType_t 1Ϊ17mm2Ϊ42mm */
    uint8_t bulletFreq; /* Ƶ */
    float  bulletSpeed; /*  */
    float  reserved;    /* ǹĳɺ͹һڷֶͣҪICRA */
}extShootData_t;




/* ʵʱ 20msڷ */
#define EXT_CMD_POWER_HEAT_DATA             0x0004u
#define EXT_CMD_POWER_HEAT_DATA_LEN         (EXT_HEADER_CRC_CMDID_LEN + sizeof(extPowerHeatData_t))
typedef struct
{
    float     chassisVolt;          /* ѹ */
    float     chassisCurrent;       /*  */
    float     chassisPower;         /*  */
    float     chassisPowerBuffer;   /* ̹ʻ */
    uint16_t  shooterHeat0;         /* С */
    uint16_t  shooterHeat1;         /*  */
}extPowerHeatData_t;



/* ⵽rfidʱ100msڷ */
#define EXT_CMD_RFID_DATA                   0x0005u
#define EXT_CMD_RFID_DATA_LEN               (EXT_HEADER_CRC_CMDID_LEN + sizeof(extRfidDetect_t))
/* ·ĿͶ */
typedef enum
{
    EXT_CARD_ATTACK,
    EXT_CARD_DEFENSE,
    EXT_CARD_ADD_BLOOD_RED,
    EXT_CARD_ADD_BLOOD_BLUE,
    EXT_CARD_BIG_RUNE_RED,
    EXT_CARD_BIG_RUNE_BLUE,
}extCardType_t;
typedef struct
{
    uint8_t cardType;   /*  extCardType_t */
    uint8_t cardIdx;    /*  */
} extRfidDetect_t;


/* ʱһ */
#define EXT_CMD_GAME_RESULT                 0x0006u
#define EXT_CMD_GAME_RESULT_LEN             (EXT_HEADER_CRC_CMDID_LEN + sizeof(extGameResult_t))
typedef enum
{
    GAME_DRAW,
    GAME_RED_WIN,
    GAME_BLUE_WIN,
}extGameWin_t;
typedef uint8_t extGameResult_t;   /* extGameWin_t */

/* ȡbuffʱһ */
#define EXT_CMD_GET_BUFF                    0x0007u
#define EXT_CMD_GET_BUFF_LEN                (EXT_HEADER_CRC_CMDID_LEN + sizeof(extGetBuff_t))
typedef enum
{
    BUFF_ATTACK,    /* ӳ */
    BUFF_DEFENSE,   /* ӳ */
}extBuff_t;
typedef struct
{
    uint8_t buffType;       /* buff */
    uint8_t buffAddition;   /* buffӳɣ10ӳ10% */
}extGetBuff_t;   /* extBuff_t */



/* ϴͻʾ */
#define EXT_CMD_SHOW_DATA                   0x0100u
#define EXT_CMD_SHOW_DATA_LEN               (EXT_HEADER_CRC_CMDID_LEN + sizeof(extUploadData_t))
typedef struct
{
    float  data1;
    float  data2;
    float  data3;
}extUploadData_t;



/* ҪϴԼ */
#define EXT_CMD_TO_SERVER                  0x0101u
#define EXT_CMD_TO_SERVER_LEN              (EXT_HEADER_CRC_CMDID_LEN + sizeof(extToServer_t))
typedef struct
{
    uint8_t data[EXT_USER_TO_SERVER_MAX_DATA_LEN];
}extToServer_t;

/* Լ· */
#define EXT_CMD_FROM_SERVER                  0x0102u
#define EXT_CMD_FROM_SERVER_LEN              (EXT_HEADER_CRC_CMDID_LEN + sizeof(extFromServer_t))
typedef struct
{
    uint8_t data[EXT_SERVER_TO_USER_MAX_DATA_LEN];
}extFromServer_t;

#pragma pack(pop)





#endif

